org.eclipse.emf.cdo.server

## Interface IQueryContext

- All Superinterfaces:
    CDOBranchPoint, CDOBranchProvider, CDOTimeProvider

      public interface IQueryContext
      extends CDOBranchPoint

  Represents the execution state of a `query` in the server towards a `query handler`.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.
  Apiviz

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addResult(java.lang.Object object)` Adds the given object to the results of the associated query.
    `int` | `getResultCount()`
    `IView` | `getView()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `getBranch, getTimeStamp`

- - ### Method Detail

    - #### getView

          IView getView()

    - #### getResultCount

          int getResultCount()

      Since:
        4.0

    - #### addResult

          boolean addResult(java.lang.Object object)

      Adds the given object to the results of the associated query.
      Parameters:
        `object` - Support many primitives, CDOID and CDORevision. CDORevision are converted in CDOID and only CDOID are transfered to the client.
      Returns:
        `true` to indicate that more results can be passed subsequently, `false` otherwise (i.e. maxResults has been reached or an asynchronous query has been canceled).

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html